## org.eclipse.datatools.modelbase.sql.query.impl
Class WithTableReferenceImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.TableReferenceImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.TableExpressionImpl
                          org.eclipse.datatools.modelbase.sql.query.impl.WithTableReferenceImpl

All Implemented Interfaces:
  SQLQueryObject, TableExpression, TableReference, WithTableReference, SQLObject

    public class WithTableReferenceImpl

extends TableExpressionImpl
implements WithTableReference

An implementation of the model object 'With Table Reference'.

The following features are implemented:

- `With Table Specification`

Method Summary
`WithTableSpecification` `basicGetWithTableSpecification()`
`NotificationChain` `basicSetWithTableSpecification(WithTableSpecification newWithTableSpecification, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`WithTableSpecification` `getWithTableSpecification()`
`void` `setWithTableSpecification(WithTableSpecification newWithTableSpecification)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.TableExpressionImpl
`basicSetTableCorrelation, getColumnList, getResultTableAllColumns, getTableCorrelation, getValueExprColumns, setTableCorrelation`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.TableReferenceImpl
`basicSetNest, basicSetQuerySelect, basicSetTableJoinedLeft, basicSetTableJoinedRight, eBasicRemoveFromContainerFeature, getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableExpression
`getColumnList, getResultTableAllColumns, getTableCorrelation, getValueExprColumns, setTableCorrelation`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableReference
`getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getWithTableSpecification

    public WithTableSpecification getWithTableSpecification()

  Specified by:
    `getWithTableSpecification` in interface `WithTableReference`
  Returns:
    the value of the 'With Table Specification' reference.
  See Also:
    `WithTableReference.setWithTableSpecification(WithTableSpecification)`, `SQLQueryModelPackage.getWithTableReference_WithTableSpecification()`, `WithTableSpecification.getWithTableReferences()`

### basicGetWithTableSpecification

    public WithTableSpecification basicGetWithTableSpecification()

### basicSetWithTableSpecification

    public NotificationChain basicSetWithTableSpecification(WithTableSpecification newWithTableSpecification,
                                                            NotificationChain msgs)

### setWithTableSpecification

    public void setWithTableSpecification(WithTableSpecification newWithTableSpecification)

  Specified by:
    `setWithTableSpecification` in interface `WithTableReference`
  Parameters:
    `newWithTableSpecification` - the new value of the 'With Table Specification' reference.
  See Also:
    `WithTableReference.getWithTableSpecification()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `TableExpressionImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `TableExpressionImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `TableExpressionImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `TableExpressionImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `TableExpressionImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `TableExpressionImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.